// SPDX-License-Identifier: MIT OR Apache-2.0
// Copyright 2024 René Ladan <rene0+codeberg@freedom.nl>

use dcf77_utils::dcf77_helpers::get_binary_value;

fn main() {
    const MSG: [Option<bool>; 14] = [
        Some(true),
        Some(true),
        Some(true),
        Some(false),
        Some(false),
        Some(false),
        Some(false),
        Some(true),
        Some(false),
        Some(true),
        Some(false),
        Some(true),
        Some(true),
        Some(true),
    ];
    // actual part of an encrypted MeteoTime message at 2024-04-09 20:42 UTC
    println!(
        "binary value for {:?} is 0x{:x}",
        MSG,
        get_binary_value(&MSG, 0, 13).unwrap()
    );
}
